import { AnyAction } from 'redux';
import { IEffectsAction } from 'redux-effects-promise';
import { IReduxAsyncLibsEntity, IReduxDictionariesEntity, IReduxLayoutEntity, IReduxNotificationEntity, IReduxStackEntity } from '../definition';
export declare const defaultReducers: {
    asyncLibs: (state: IReduxAsyncLibsEntity, action: AnyAction) => IReduxAsyncLibsEntity;
    dictionaries: (state: IReduxDictionariesEntity, action: IEffectsAction<unknown>) => IReduxDictionariesEntity;
    permissions: (state: {}, action: AnyAction) => {};
    user: (state: {}, action: AnyAction) => {};
    layout: (state: IReduxLayoutEntity, action: AnyAction) => IReduxLayoutEntity;
    stack: (state: IReduxStackEntity, action: IEffectsAction<unknown>) => IReduxStackEntity;
    notification: (state: IReduxNotificationEntity, action: IEffectsAction<unknown>) => IReduxNotificationEntity;
    channel: (state: import("../definition").IReduxChannelsEntity, action: IEffectsAction<unknown>) => import("../definition").IReduxChannelsEntity;
};
