import { IEntity, IEntityIdTWrapper, IKeyValue } from '../definitions.interface';
/**
 * TODO
 * @deprecated
 */
export declare const isArrayNotEmpty: <TValue>(array: TValue[]) => boolean;
/**
 * @stable [21.01.2021]
 */
export declare class ArrayUtils {
    static readonly doesArrayContainExistedEntity: <TEntity extends IEntity = IEntity>(data: TEntity[], entity: IEntityIdTWrapper, predicate?: <TEntity_1 extends IEntityIdTWrapper = IEntityIdTWrapper>(entity1: TEntity_1, entity2: TEntity_1) => boolean) => boolean;
    static readonly makeArray: <TValue = unknown>(length: number) => TValue[];
    static readonly mergeArrayItem: <TValue = IKeyValue>(array: TValue[], item: TValue, predicate?: <TEntity extends IEntityIdTWrapper = IEntityIdTWrapper>(entity1: TEntity, entity2: TEntity) => boolean, itemFactory?: ($item: TValue) => TValue) => TValue[];
    static readonly nextMinNegativeValue: (array: number[]) => number;
    static readonly subArray: <TValue>(array: TValue[], limit?: number, start?: number) => TValue[];
    static readonly withoutDuplicates: <TEntity = IEntity>(...data: TEntity[]) => TEntity[];
}
