import { IEffectsAction } from 'redux-effects-promise';
import { IEditedListMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [20.01.2021]
 */
export declare class EditedListMiddlewareFactories {
    static readonly createEntityMiddleware: <TState = {}, TDefaultChanges = {}>(config: IEditedListMiddlewareConfigEntity<{}, TState, TDefaultChanges>) => IEffectsAction<unknown>[];
    static readonly lazyLoadedEntityMiddleware: <TPayload = {}, TState = {}, TDefaultChanges = {}>(config: IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => IEffectsAction<unknown>[];
    static readonly selectEntityMiddleware: <TPayload = {}, TState = {}, TDefaultChanges = {}>(cfg: IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => IEffectsAction<unknown>[];
}
