/// <reference types="react" />
import { IEntity, IEntityIdTWrapper } from '../definitions.interface';
import { IExtendedEntity } from '../definition';
/**
 * @stable [23.01.2021]
 */
export declare class EntityUtils {
    static readonly asEntitiesIds: <TEntity extends IEntity>(entities: TEntity[]) => import("react").ReactText[];
    static readonly doesExtendedEntityExist: <TEntity extends IEntity>(extendedEntity: IExtendedEntity<TEntity>) => boolean;
    static readonly entityAsFileName: <TEntity extends IEntity>(entity: TEntity) => string;
    static readonly isNewEntity: <TEntity extends IEntityIdTWrapper>(entity: TEntity) => boolean;
    static readonly isPhantomEntity: <TEntity extends IEntityIdTWrapper>(entity: TEntity) => boolean;
}
