import { IKeyValue } from '../definitions.interface';
import { IValidationResultEntity, ValidationRulesEnum } from '../definition';
/**
 * @stable [22.01.2021]
 */
export declare class ValidatorUtils {
    static readonly isValid: (rules: Record<ValidationRulesEnum, boolean>) => boolean;
    static readonly validate: <TEntity extends IKeyValue = IKeyValue>(payloads: { [K in keyof TEntity]?: ValidationRulesEnum | ValidationRulesEnum[]; }, checkedObject: TEntity) => IValidationResultEntity<unknown>;
}
